#pragma once

#include "1_Variable/1_Initialisation/Initialization.h"
#include "1_Variable/1_Initialisation/Pointer.h"
#include "1_Variable/1_Initialisation/Const.h"
#include "1_Variable/1_Initialisation/Auto.h"
#include "1_Variable/1_Initialisation/Global.h"
#include "1_Variable/1_Initialisation/SmartPointer.h"
#include "1_Variable/1_Initialisation/Reference.h"
#include "1_Variable/2_Cast/Cast.h"
#include "1_Variable/3_Arrays/C_Arrays.h"
#include "1_Variable/3_Arrays/CppArrays.h"
#include "1_Variable/3_Arrays/MultiDimensionalArray.h"
#include "1_Variable/4_Strings/Strings.h"
#include "1_Variable/5_Maps/Maps.h"
#include "1_Variable/6_Other/Bitfield.h"
#include "1_Variable/6_Other/Enums.h"
#include "1_Variable/6_Other/Deque.h"
#include "1_Variable/6_Other/List.h"
#include "1_Variable/6_Other/Set.h"
#include "1_Variable/6_Other/Speed.h"

#include "2_Functions/1_ReturnValue/ReturnValue.h"
#include "2_Functions/1_ReturnValue/Scope.h"
#include "2_Functions/2_Arguments/1_Args.h"
#include "2_Functions/2_Arguments/2_Reference.h"
#include "2_Functions/2_Arguments/3_DefaultArgs.h"
#include "2_Functions/3_MultipleReturn/MultipleReturnVal.h"
#include "2_Functions/4_StaticFunction/StaticFuntion.h"
#include "2_Functions/5_FunctionPointer/FunctionPointer.h"
#include "2_Functions/6_Inline/Inline.h"
#include "2_Functions/7_Lambda/Lambda.h"
#include "2_Functions/8_Optional/OptionalReturn.h"
#include "2_Functions/9_Variant/VariantReturn.h"
#include "2_Functions/10_Template/Template.h"

#include "3_GeneralKnowledge/4_Comments/Comment.h"
#include "3_GeneralKnowledge/8_L_And_RValue/LValue_RValue.h"
#include "3_GeneralKnowledge/9_IO/IO.h"
#include "3_GeneralKnowledge/10_Sort/Sort.h"
#include "3_GeneralKnowledge/11_MinMax/MinMax.h"

#include "4_OOP/1_LifeCycle/Constructor.h"
#include "4_OOP/1_LifeCycle/Destructor.h"
#include "4_OOP/2_Variables/Variables.h"
#include "4_OOP/3_Functions/Functions.h"
#include "4_OOP/4_Visibility/Visibility.h"
#include "4_OOP/5_CopyAndMove/CpyAndMvConstructor.h"
#include "4_OOP/6_Inheritance/Inheritance.h"
#include "4_OOP/7_Interface/Interface.h"
#include "4_OOP/8_Friend/Friend.h"
#include "4_OOP/9_ConstFct/ConstFct.h"
#include "4_OOP/10_OperatorOverride/OperatorOverride.h"
#include "4_OOP/11_Static/Static.h"
#include "4_OOP/12_ObjectPointer/ObjPointer.h"
#include "4_OOP/13_TemplateClass/TemplateClass.h"
#include "4_OOP/14_DependencyInjection/DependencyInjection.h"
#include "4_OOP/x_Casting/OOP_CppCast.h"
#include "4_OOP/15_MultipleInheritance/MultipleInheritance.h"

#include "Threading/Threading.h"